| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Service Class Referenceabstract

Base class for a Service in the RPC communication. More...

`#include <Service.hpp>`

Inheritance diagram for Service:
[legend]

## Public Member Functions

virtual const std::string & | get_service_name () const =0
| Getter for the service name.
virtual const std::string & | get_service_type_name () const =0
| Getter for the service type name.
Public Member Functions inherited from RPCEntity
virtual ReturnCode_t | enable ()=0
| Enables the entity.
virtual ReturnCode_t | close ()=0
| Disables the entity.
virtual bool | is_enabled () const =0
| Check if the entity is enabled.

## Protected Member Functions

| ~Service ()=default
| Destructor.
Protected Member Functions inherited from RPCEntity
| ~RPCEntity ()=default
| Destructor.

## Detailed Description

Base class for a Service in the RPC communication.

## Constructor & Destructor Documentation

## ◆ ~Service()

~Service | ( |  | ) |

protected default

Destructor.

## Member Function Documentation

## ◆ get_service_name()

virtual const std::string & get_service_name | ( |  | ) | const

pure virtual

Getter for the service name.

## ◆ get_service_type_name()

virtual const std::string & get_service_type_name | ( |  | ) | const

pure virtual

Getter for the service type name.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/Service.hpp